backend:
  name: git-gateway
  branch: main

local_backend: true

site_url: https://yipyipcrew.de
display_url: https://yipyipcrew.de

media_folder: public/img
public_folder: /img

collections:
  - name: members
    label: Mitglieder
    label_singular: Mitglied
    folder: src/content/member
    create: true
    delete: true
    format: frontmatter
    extension: md
    slug: "{{fields.name}}"
    preview_path: /members/{{slug}}
    fields:
      - { label: Name, name: name, widget: string }
      - { label: Avatar, name: avatar, widget: image, required: false }
      - { label: Lieblingsformate, name: favoriteFormats, widget: list }
      - { label: Signature Decks, name: signatureDecks, widget: relation, collection: decks, searchFields: [name], valueField: name, displayFields: [name], multiple: true, required: false }
      - { label: Errungenschaften, name: achievements, widget: string, required: false }
      - { label: Initialen, name: initials, widget: string, required: false }
      - { label: Text, name: body, widget: markdown, required: false }

  - name: decks
    label: Decks
    label_singular: Deck
    folder: src/content/deck
    create: true
    delete: true
    format: frontmatter
    extension: md
    slug: "{{fields.name}}"
    preview_path: /decks
    fields:
      - { label: Name, name: name, widget: string }
      - { label: Commander / Archetyp, name: commander, widget: string, required: false }
      - { label: Format, name: format, widget: string }
      - { label: Autor, name: author, widget: relation, collection: members, searchFields: [name], valueField: name, displayFields: [name], required: false }
      - { label: "Text (Karten, dann eine Zeile mit Sideboard, dann Sideboard-Karten)", name: body, widget: text, required: false }

  - name: events
    label: Events
    label_singular: Event
    folder: src/content/event
    create: true
    delete: true
    format: frontmatter
    extension: md
    slug: "{{fields.name}}"
    preview_path: /events
    fields:
      - { label: Name, name: name, widget: string }
      - { label: Datum, name: date, widget: string }
      - { label: Regulär, name: recurring, widget: boolean, required: false, default: false }
      - { label: Uhrzeit, name: time, widget: string, required: false }
      - { label: Ort, name: location, widget: string, required: false }
      - { label: Anmeldelink, name: link, widget: string, required: false }
      - { label: Text, name: body, widget: markdown, required: false }
